Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

The JNI version is not correct when JNI plugin is included with cmake #2616

Open
dmoisej opened this Issue Apr 10, 2019 · 1 comment

Comments

Projects
None yet
2 participants
@dmoisej
Copy link
Contributor

dmoisej commented Apr 10, 2019

Steps to Reproduce the Problem

Please provide a step by step guide on how to reproduce the problem here. If possible, please use
Markdown Shell Recorder
syntax:

  1. Specify JAVA_HOME environmental variable.
JAVA_HOME=/usr/lib/jvm/java-11-oracle
  1. Compile the libelektra with the jni plugin:
git clone https://github.com/ElektraInitiative/libelektra.git
cd libelektra
mkdir build
cd build
cmake -DPLUGINS="ALL;-EXPERIMENTAL;jni" ..

Expected Result

The jni plugin is successfully included into the list of available plugins.

Actual Result

The jni plugin is not included because JNI_VERSION_1_8 is not defined.

System Information

  • Elektra Version: master

Solution. The fix is provided in the pull request 2615.

@markus2330

This comment has been minimized.

Copy link
Contributor

markus2330 commented Apr 12, 2019

Thank you for reporting this problem!

Maybe we can also improve the jni plugin to allow other Java versions?

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.